/* **********************************************************
 * Copyright 1998 VMware, Inc.  All rights reserved. -- VMware Confidential
 * **********************************************************/



#ifndef _CPUID_INFO_H
#define _CPUID_INFO_H

#include "vm_types.h"
#include "x86.h"

typedef struct CPUIDRegs {
   uint32 eax, ebx, ecx, edx;
} CPUIDRegs;

/*
 * Results of calling cpuid(eaxArg) on all logical processors. 
 */
typedef struct CPUIDInfo {
   uint32 numLogicalCPUs;
   uint32 eaxArg;
   CPUIDRegs regs[0];
} CPUIDInfo;

#endif
